Upgrade Protocol Resulted in Wallet Error

+1 vote
After upgrading a chain from 10010 to 20010, publishing any data with "offchain" will result in the following error: The transaction was rejected: 16: Wallet error 6. Publishing works if offchain is not used.

My setup is for a single node.

Thanks.
asked Oct 29 by Kit

1 Answer

0 votes
 
Best answer

Thanks for pointing this out. It is a bug that we will fix in the next release, caused by the fact that protocol 10010 does not support off-chain data.

For now the workaround is to unsubscribe from the stream, and then re-subscribe to it, now that the chain is running the newer protocol.

answered Oct 30 by MultiChain
selected Nov 6 by Kit
...